unit Unit1;

interface

uses
  Windows, Messages, SysUtils, Classes, Graphics, Controls, Forms, Dialogs;

type
  TForm1 = class(TForm)
    procedure FormCreate(Sender: TObject);
    procedure FormPaint(Sender: TObject);
    procedure FormResize(Sender: TObject);
  private
    procedure DrawBitMap;
  public
  end;

var
  Form1: TForm1;
  BitMap: TBitMap;

implementation

{$R *.DFM}

procedure TForm1.DrawBitMap;
var
  i, cr, ccr, j, cg, ccg, cb, ccb: Integer;
begin
  BitMap.Height := ClientHeight;
  BitMap.Width := ClientWidth;
  for i := 1 to BitMap.Width do
    for j := 1 to BitMap.Height do
      begin
        if i <= 255 then ccr := i;
        if (i > 255) and (i < 510) then ccr := 510 - i;
        if (i > 510) and (i < 765) then ccr := i - 510;
        if (i > 765) and (i < 1020) then ccr := 1020 - i;
        if j <= 255 then ccg := j;
        if (j > 255) and (j < 510) then ccg := 510 - j;
        if j > 510 then ccg := j - 510;
        ccb := 255 - ccr;
        BitMap.Canvas.Pixels[i, j] := RGB(ccr, ccg, ccb);
      end;
end;


procedure TForm1.FormCreate(Sender: TObject);
begin
  BitMap := TBitMap.Create;
  DrawBitMap;
end;

procedure TForm1.FormPaint(Sender: TObject);
begin
  Form1.Canvas.CopyRect(Rect(0,0,ClientWidth,ClientHeight), BitMap.Canvas, BitMap.Canvas.ClipRect);
end;

procedure TForm1.FormResize(Sender: TObject);
begin
  DrawBitMap;
end;

end.
